WP SMS – Ultimate SMS & MMS Notifications, 2FA, OTP, and Integrations with WooCommerce, GravityForms, and More

Information

Software Type Plugin
Software Slug wp-sms (view on wordpress.org)
Software Status Active
Software Author mostafas1990
Software Website wp-sms-pro.com
Software Downloads 593,655
Software Active Installs 9,000
Software Record Last Updated June 18, 2024

12 Vulnerabilities

4.3
CVE ID Unknown
Jul 7, 2023
Researchers:
Title Status CVE ID CVSS Researchers Date
WP SMS <= 6.3.4 - Authenticated (Contributor+) Stored Cross-Site Scripting via Shortcode Patched CVE-2024-25920 6.4 Abu Hurayra February 14, 2024
WP SMS <= 6.5.1 - Authenticated (Contributor+) Stored Cross-Site Scripting Patched 6.4 January 12, 2024
WP SMS <= 6.5.2 - Reflected Cross-Site Scripting via 'page' Patched CVE-2024-24881 6.1 Dimas Maulana February 5, 2024
WP SMS <= 6.5 - Authenticated (Admin+) SQL Injection to Reflected Cross-Site Scripting Patched CVE-2023-6981 6.1 Krzysztof Zając January 2, 2024
WP SMS <= 6.1.4 - Reflected Cross-Site Scripting via 'delete_mobile' Patched CVE-2023-32742 6.1 Le Ngoc Anh May 15, 2023
WP SMS – Messaging & SMS Notification for WordPress, WooCommerce, GravityForms, etc <= 5.4.9 - Reflected Cross-Site Scripting Patched 6.1 WPScanTeam June 30, 2021
WP SMS <= 5.4.12 - Authenticated Stored Cross-Site Scripting Patched CVE-2021-24561 5.5 Muhammad Daffa July 26, 2021
WP SMS <= 6.0.4 - Information Disclosure via REST API Patched CVE-2023-27447 5.3 Jarko Piironen March 2, 2023
WP SMS <= 6.5.1 - Authenticated (Administrator+) Stored Cross-Site Scripting Patched CVE-2024-34811 4.4 Dhabaleshwar Das May 13, 2024
WP SMS <= 6.6.2 - Cross-Site Request Forgery Patched CVE-2024-30454 4.3 Peng Zhou March 28, 2024
WP SMS <= 6.5 - Cross-Site Request Forgery to Subscriber Deletion Patched CVE-2023-6980 4.3 Krzysztof Zając January 2, 2024
WP SMS <= 6.1.5 - Cross-Site Request Forgery Patched 4.3 July 7, 2023

Did you know Wordfence Intelligence provides free personal and commercial API access to our comprehensive WordPress vulnerability database, along with a free webhook integration to stay on top of the latest vulnerabilities added and updated in the database? Get started today!

Learn more

Want to get notified of the latest vulnerabilities that may affect your WordPress site?
Install Wordfence on your site today to get notified immediately if your site is affected by a vulnerability that has been added to our database.

Get Wordfence

The Wordfence Intelligence WordPress vulnerability database is completely free to access and query via API. Please review the documentation on how to access and consume the vulnerability data via API.

Documentation